Loading...
Searching...
No Matches
itk::GPUCastImageFilter< TInputImage, TOutputImage > Class Template Reference

`#include <itkGPUCastImageFilter.h>`

## Detailed Description

template<typename TInputImage, typename TOutputImage>
class itk::GPUCastImageFilter< TInputImage, TOutputImage >

GPU version of CastImageFilter.

GPUCastImageFilter class definition

Author
  Denis P. Shamonin and Marius Staring. Division of Image Processing, Department of Radiology, Leiden, The Netherlands

Note
  This work was funded by the Netherlands Organisation for Scientific Research (NWO NRG-2010.02 and NWO 639.021.124).

Definition at line 68 of file itkGPUCastImageFilter.h.

Inheritance diagram for itk::GPUCastImageFilter< TInputImage, TOutputImage >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | CPUSuperclass = CastImageFilter<TInputImage, TOutputImage>
using | GPUSuperclass
using | InputPixelObjectType = SimpleDataObjectDecorator<InputPixelType>
using | InputPixelType = typename TInputImage::PixelType
using | OutputPixelType = typename TOutputImage::PixelType
using | Pointer = SmartPointer<Self>
using | Self = GPUCastImageFilter
Public Types inherited from itk::GPUInPlaceImageFilter< TInputImage, TOutputImage, CastImageFilter< TInputImage, TOutputImage > >
using | ConstPointer
using | CPUSuperclass
using | GPUSuperclass
using | InputImageConstPointer
using | InputImagePixelType
using | InputImagePointer
using | InputImageRegionType
using | InputImageType
using | OutputImagePixelType
using | OutputImagePointer
using | OutputImageRegionType
using | OutputImageType
using | Pointer
using | Self
Public Types inherited from itk::GPUImageToImageFilter< TInputImage, TOutputImage, CastImageFilter< TInputImage, TOutputImage > >
using | ConstPointer
using | InputImageConstPointer
using | InputImagePixelType
using | InputImagePointer
using | InputImageRegionType
using | InputImageType
using | OutputImageType
using | Pointer
using | Self
using | Superclass

## Public Member Functions

virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (GPUCastImageFilter)
Public Member Functions inherited from itk::GPUInPlaceImageFilter< TInputImage, TOutputImage, CastImageFilter< TInputImage, TOutputImage > >
| ITK_DISALLOW_COPY_AND_MOVE (GPUInPlaceImageFilter)
| itkStaticConstMacro (InputImageDimension, unsigned int, TInputImage::ImageDimension)
Public Member Functions inherited from itk::GPUImageToImageFilter< TInputImage, TOutputImage, CastImageFilter< TInputImage, TOutputImage > >
virtual bool | GetGPUEnabled () const
virtual void | GPUEnabledOff ()
virtual void | GPUEnabledOn ()
void | GraftOutput (DataObject *graft) override
| ITK_DISALLOW_COPY_AND_MOVE (GPUImageToImageFilter)
| itkStaticConstMacro (InputImageDimension, unsigned int, TInputImage::ImageDimension)
virtual void | SetGPUEnabled (bool _arg)
void | SetNumberOfWorkUnits (ThreadIdType _arg) override

## Static Public Member Functions

static Pointer | New ()
Static Public Member Functions inherited from itk::GPUImageToImageFilter< TInputImage, TOutputImage, CastImageFilter< TInputImage, TOutputImage > >
static Pointer | New ()

## Protected Member Functions

| GPUCastImageFilter ()
void | GPUGenerateData () override
| ~GPUCastImageFilter () override=default
Protected Member Functions inherited from itk::GPUInPlaceImageFilter< TInputImage, TOutputImage, CastImageFilter< TInputImage, TOutputImage > >
void | AllocateOutputs () override
| GPUInPlaceImageFilter ()=default
void | PrintSelf (std::ostream &os, Indent indent) const override
void | ReleaseInputs () override
| ~GPUInPlaceImageFilter () override=default
Protected Member Functions inherited from itk::GPUImageToImageFilter< TInputImage, TOutputImage, CastImageFilter< TInputImage, TOutputImage > >
void | GenerateData () override
| GPUImageToImageFilter ()
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~GPUImageToImageFilter () override=default

## Additional Inherited Members

Protected Attributes inherited from itk::GPUImageToImageFilter< TInputImage, TOutputImage, CastImageFilter< TInputImage, TOutputImage > >
OpenCLKernelManager::Pointer | m_GPUKernelManager

## Member Typedef Documentation

## ConstPointer

template<typename TInputImage, typename TOutputImage>

using itk::GPUCastImageFilter< TInputImage, TOutputImage >::ConstPointer = SmartPointer<const Self>

Definition at line 87 of file itkGPUCastImageFilter.h.

## CPUSuperclass

template<typename TInputImage, typename TOutputImage>

using itk::GPUCastImageFilter< TInputImage, TOutputImage >::CPUSuperclass = CastImageFilter<TInputImage, TOutputImage>

Definition at line 85 of file itkGPUCastImageFilter.h.

## GPUSuperclass

template<typename TInputImage, typename TOutputImage>

using itk::GPUCastImageFilter< TInputImage, TOutputImage >::GPUSuperclass

Initial value:
GPUUnaryFunctorImageFilter<TInputImage,
TOutputImage,
Functor::GPUCast<typename TInputImage::PixelType, typename TOutputImage::PixelType>,
CastImageFilter<TInputImage, TOutputImage>>
itk::GPUUnaryFunctorImageFilter< TInputImage, TOutputImage, Functor::GPUCast< TInputImage::PixelType, TOutputImage::PixelType >, CastImageFilter< TInputImage, TOutputImage > >::GPUUnaryFunctorImageFilter
GPUUnaryFunctorImageFilter()=default

Definition at line 80 of file itkGPUCastImageFilter.h.

## InputPixelObjectType

template<typename TInputImage, typename TOutputImage>

using itk::GPUCastImageFilter< TInputImage, TOutputImage >::InputPixelObjectType = SimpleDataObjectDecorator<InputPixelType>

Type of DataObjects to use for scalar inputs

Definition at line 100 of file itkGPUCastImageFilter.h.

## InputPixelType

template<typename TInputImage, typename TOutputImage>

using itk::GPUCastImageFilter< TInputImage, TOutputImage >::InputPixelType = typename TInputImage::PixelType

Pixel types.

Definition at line 96 of file itkGPUCastImageFilter.h.

## OutputPixelType

template<typename TInputImage, typename TOutputImage>

using itk::GPUCastImageFilter< TInputImage, TOutputImage >::OutputPixelType = typename TOutputImage::PixelType

Definition at line 97 of file itkGPUCastImageFilter.h.

## Pointer

template<typename TInputImage, typename TOutputImage>

using itk::GPUCastImageFilter< TInputImage, TOutputImage >::Pointer = SmartPointer<Self>

Definition at line 86 of file itkGPUCastImageFilter.h.

## Self

template<typename TInputImage, typename TOutputImage>

using itk::GPUCastImageFilter< TInputImage, TOutputImage >::Self = GPUCastImageFilter

Standard class typedefs.

Definition at line 79 of file itkGPUCastImageFilter.h.

## Constructor & Destructor Documentation

## GPUCastImageFilter()

template<typename TInputImage, typename TOutputImage>

itk::GPUCastImageFilter< TInputImage, TOutputImage >::GPUCastImageFilter | ( |  | ) |

protected

## ~GPUCastImageFilter()

template<typename TInputImage, typename TOutputImage>

itk::GPUCastImageFilter< TInputImage, TOutputImage >::~GPUCastImageFilter | ( |  | ) |

override protected default

## Member Function Documentation

## GetClassName()

template<typename TInputImage, typename TOutputImage>

virtual const char * itk::GPUCastImageFilter< TInputImage, TOutputImage >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::GPUInPlaceImageFilter< TInputImage, TOutputImage, CastImageFilter< TInputImage, TOutputImage > >.

## GPUGenerateData()

template<typename TInputImage, typename TOutputImage>

void itk::GPUCastImageFilter< TInputImage, TOutputImage >::GPUGenerateData | ( |  | ) |

override protected virtual

Unlike CPU version, GPU version of binary threshold filter is not multi-threaded

Reimplemented from itk::GPUImageToImageFilter< TInputImage, TOutputImage, CastImageFilter< TInputImage, TOutputImage > >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<typename TInputImage, typename TOutputImage>

itk::GPUCastImageFilter< TInputImage, TOutputImage >::ITK_DISALLOW_COPY_AND_MOVE | ( | GPUCastImageFilter< TInputImage, TOutputImage > |  | ) |

## New()

template<typename TInputImage, typename TOutputImage>

Pointer itk::GPUCastImageFilter< TInputImage, TOutputImage >::New | ( |  | ) |

static

Method for creation through the object factory.

Generated on 1768596610 for elastix by 1.15.0 |